Refund a supplier's items

Refund the customer for one supplier's items on a multi-supplier invoice. Same fields as Refund an invoice, plus supplierId.

🚧

In our Sandbox tests this endpoint returned 403 UnauthorizedAccess. It may need to be enabled for your account: contact [email protected].

Errors

errorKeyCause
UnauthorizedAccess (403)Supplier refunds are not enabled for your account
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
integer
required

The ID of the paid invoice.

integer
required

Supplier ID, for multi-supplier invoices.

number
required

Amount in KWD, up to 3 decimal places.

string
required

DeductFromBalance or PayAmount.

string
required

Currency code. Use KWD.

string

A note for your records.

Responses

isValid: validation errors also return HTTP 200 with isValid: false.

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json